package com.gingersoft.gsa.cloud.main.mvp.ui.adapter;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.gingersoft.gsa.cloud.main.R;
import com.gingersoft.gsa.cloud.main.mvp.model.bean.MainSideMenuBean;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by Wyh on 2020/3/7.
 */
public class MainSideMenuAdapter extends BaseQuickAdapter<MainSideMenuBean, BaseViewHolder> {
    public MainSideMenuAdapter(@Nullable List<MainSideMenuBean> data) {
        super(R.layout.item_main_side_menu, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, MainSideMenuBean item) {
        helper.setImageResource(R.id.iv_function_icon, item.getFunctionIcon());
        helper.setText(R.id.tv_function_name, item.getFunctionName());
    }
}
